# Interface IPlatformConfiguration.IFeatureEntry

Enclosing interface:
  `IPlatformConfiguration`

@Deprecated public static interface IPlatformConfiguration.IFeatureEntry
Deprecated.
Feature entry. Represents runtime "hints" about configured features. The information is used during execution to locate the correct attribution information for a feature. Note, that a typical configuration can declare multiple feature entries. At execution time, only one can be selected as the active primary feature. This is determined based on specified command line arguments or computed defaults.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canBePrimary()`
Deprecated.
`String`
`getFeatureApplication()`
Deprecated.
`String`
`getFeatureIdentifier()`
Deprecated.
`String`
`getFeaturePluginIdentifier()`
Deprecated.
`String`
`getFeaturePluginVersion()`
Deprecated.
`URL[]`
`getFeatureRootURLs()`
Deprecated.
`String`
`getFeatureVersion()`
Deprecated.

## Method Details

### getFeatureIdentifier

@Deprecated String getFeatureIdentifier()
Deprecated.
Returns feature identifier.

Returns:
  feature identifier
Since:
  2.0

### getFeatureVersion

@Deprecated String getFeatureVersion()
Deprecated.
Returns the currently configured version for the feature.

Returns:
  feature version (as string), or `null`
Since:
  2.0

### getFeaturePluginIdentifier

@Deprecated String getFeaturePluginIdentifier()
Deprecated.
Returns the identifier of the feature plug-in for this feature entry. Note, that there is no guarantee that a feature in fact supplies a corresponding feature plugin, so the result can be `null`. Also, if supplied, there is no guarantee that the plugin will in fact be loaded into the plug-in registry at runtime (due to rules and constraint checking performed by the registry loading support). Consequently code making use of this method must handle these conditions.

Returns:
  feature identifier (as string), or `null`
Since:
  2.1

### getFeaturePluginVersion

@Deprecated String getFeaturePluginVersion()
Deprecated.
Returns the version of the feature plug-in for this feature entry. Note, that there is no guarantee that a feature in fact supplies a corresponding feature plugin, so the result can be `null`. Also, if supplied, there is no guarantee that the plugin will in fact be loaded into the plug-in registry at runtime (due to rules and constraint checking performed by the registry loading support). Consequently code making use of this method must handle these conditions.

Returns:
  feature version (as string), or `null`
Since:
  2.0

### getFeatureApplication

@Deprecated String getFeatureApplication()
Deprecated.
Returns the application to run when this feature is the primary feature.

Returns:
  application identifier, or `null`
Since:
  2.0

### getFeatureRootURLs

@Deprecated URL[] getFeatureRootURLs()
Deprecated.
Returns URLs to the feature "root" locations. The root URLs are install locations of the feature plugin and its fragments.

Returns:
  array of URLs, or an empty array
Since:
  2.0

### canBePrimary

@Deprecated boolean canBePrimary()
Deprecated.
Returns an indication whether this feature has been defined to act as a primary feature.

Returns:
  `true` if the feature can be primary, `false` otherwise.
Since:
  2.0